<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/
	if (!defined("IGNX")) { die("Attempt..."); }

if (isset($_GET["cal"]) && !isset($_GET["prd"]) && $_GET["cal"] > 0)
{

	$catID = $_GET["cal"];	
	
	// ruta
	$qc = myquery("SELECT * FROM ".TD_CATALOGOS." WHERE cataID='".$catID."'","[var_cal=1]");
	$rowc = myfetch($qc);
	if (IDIOMA_ACTUAL == 0)
	{
		$cat_nombre = $rowc["nombre"];
		$cat_nombre_sef = SEFcompleURL( $rowc["nombre"] );
		$cat_comen = salida_gral( $rowc["comentario"] );
	}
	else if (IDIOMA_ACTUAL == 1)
	{
		$cat_nombre = $rowc["nombre_1"];
		$cat_nombre_sef = SEFcompleURL( $rowc["nombre_1"] );
		$cat_comen = salida_gral( $rowc["comentario_1"] );
	}
	else if (IDIOMA_ACTUAL == 2)
	{
		$cat_nombre = $rowc["nombre_2"];
		$cat_nombre_sef = SEFcompleURL( $rowc["nombre_2"] );
		$cat_comen = salida_gral( $rowc["comentario_2"] );
	}
	else if (IDIOMA_ACTUAL == 3)
	{
		$cat_nombre = $rowc["nombre_3"];
		$cat_nombre_sef = SEFcompleURL( $rowc["nombre_3"] );
		$cat_comen = salida_gral( $rowc["comentario_3"] );
	}
	else if (IDIOMA_ACTUAL == 4)
	{
		$cat_nombre = $rowc["nombre_4"];
		$cat_nombre_sef = SEFcompleURL( $rowc["nombre_4"] );
		$cat_comen = salida_gral( $rowc["comentario_4"] );
	}
	else if (IDIOMA_ACTUAL == 5)
	{
		$cat_nombre = $rowc["nombre_5"];
		$cat_nombre_sef = SEFcompleURL( $rowc["nombre_5"] );
		$cat_comen = salida_gral( $rowc["comentario_5"] );
	}

	// columnas
	$vercolumnas = $rowc["columnas"];

	// Smarty
	$smarty->assign("cat_nombre", $cat_nombre);
	$smarty->assign("cat_nombre_sef", $cat_nombre_sef);
	$smarty->assign("cat_comen", $cat_comen);
	$smarty->assign("cataID", $rowc["cataID"]);
	$smarty->assign("cat_foto", $rowc["foto"]);
	
	// subcategorias
	include("./ints/inc/inc_sub_catalogos_prd.php");
	
	// items
	$salida_catalogos = array();
	$q = myquery("SELECT * FROM ".ITEMS." WHERE enabled=1 AND item_tipo=3 AND cataID='".$catID."' ORDER BY orden DESC, itemID DESC limit ".$sig.", ".CONFIG_11."","[var_cal=2]");
	$i=0;
	while ($rowPRD = myfetch($q))
	{

			include ("./ints/inc/inc_item_list_prd.php");
			
				$salida_catalogos[] = $rowPRD;
		
	$i++;
	} // del while

	// Smarty
	$smarty->assign("salida_catalogos",$salida_catalogos);

	// paginas
	$q_todos = myquery("SELECT * FROM ".ITEMS." WHERE enabled=1 AND item_tipo=3 AND cataID='".$catID."'","[var_cal=3]");
	$cnt_items = mynumrows($q_todos);
	$paginas = paginas_gral($cnt_items, $sig, $pag, CONFIG_11, RUTA_INICIO."len".IGUAL.IDIOMA_ACTUAL.AMPER."cal".IGUAL.$catID.AMPER."sig".IGUAL);
	
	// Smarty
	$smarty->assign("total", $cnt_items);

	// Smarty
	$smarty->assign("paginas", $paginas);
	
}

?>